package com.ningdatech.pmapi.sys.model.enumeration;

import lombok.Getter;

/**
 * <p>
 * DataScopeEnum
 * </p>
 *
 * @author WendyYang
 * @since 15:59 2023/1/28
 */
@Getter
public enum DataScopeEnum {

    /**
     * 数据权限可见范围
     */
    CURRENT_ORG("本单位", 1),
    CURRENT_AND_SUB_ORG("本单位及下属单位", 2),
    CURRENT_REGION("当前区域", 3),
    CURRENT_CITY("全市", 4);

    private final String desc;
    private final Integer code;

    DataScopeEnum(String desc, Integer code) {
        this.code = code;
        this.desc = desc;
    }
}
